This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 554629 - win2008 guest got BSOD during resuming from hibernation.
win2008 guest got BSOD during resuming from hibernation.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karen Noel
Virtualization Bugs
: Triaged
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-01-12 02:57 EST by Miya Chen
Modified: 2013-01-09 17:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-27 01:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bsod screenshot (161.36 KB, image/png)
2010-01-12 02:57 EST, Miya Chen
no flags Details
core dump file (258.38 KB, application/octet-stream)
2010-01-12 02:59 EST, Miya Chen
no flags Details
core dump analyse file (19.25 KB, text/plain)
2010-01-19 06:20 EST, Miya Chen
no flags Details
core dump analyse file (4.32 KB, text/plain)
2010-01-19 06:51 EST, Miya Chen
no flags Details

  None (edit)
Description Miya Chen 2010-01-12 02:57:26 EST
Created attachment 383192 [details]
bsod screenshot

Description of problem:
64bitwin2008 with more than 8 vCPUs got BSOD during resuming from hibernation.

Version-Release number of selected component (if applicable):
# uname -r
2.6.18-164.9.1.el5
# rpm -q kvm
kvm-83-105.el5_4.18


How reproducible:
100%

Steps to Reproduce:
1.start 64bitwin2008 with more than 8 cpus:
# /usr/libexec/qemu-kvm -drive file=win28k-64-virtio.qcow2,if=virtio,boot=on,cache=off -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -smp 16 -m 2G -net  nic,model=virtio,macaddr=20:20:20:55:66:12,vlan=0 -net tap,vlan=0,script=/etc/qemu-ifup -cpu qemu64,+sse2 -vnc :8 -name 64 -monitor stdio
2.Issue "powercfg -h on" in cmd to enable hibernation.
3.Go to "control panel" > "power options" > "Choose what the power button does", select "Hibernate" in dropdown list then click "Save changes".
4.Go to qemu monitor by "ctl+alt+2", issue "system_powerdown". 
5.After hibernation, resume guest by the same cmd.
  
Actual results:
Guest got BSOD.Screenshot and coredump will be attached.

Expected results:


Additional info:
1. try to start guest with 2, 4, 8 vcpus, this problem does not exist.
2. win2008R2 does not have this problem.
3. host cpuinfo:
processor	: 95
vendor_id	: GenuineIntel
cpu family	: 6
model		: 29
model name	: Intel(R) Xeon(R) CPU           E7450  @ 2.40GHz
Comment 1 Miya Chen 2010-01-12 02:59:11 EST
Created attachment 383193 [details]
core dump file
Comment 2 Miya Chen 2010-01-13 00:37:14 EST
This bug also exists in kvm-83-140.el5.
Comment 3 Miya Chen 2010-01-19 06:19:59 EST
Both 64bitwin2008 and 32bitwin2008 got BSOD during resuming after hibernation with 4cpu and 4G mem in the following env:

host kernel:
#uname -r
2.6.18-183.el5

kvm version:
# rpm -q kvm
kvm-83-147.el5

host cpu:
processor	: 3
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 2
model name	: AMD Phenom(tm) 9600B Quad-Core Processor

host mem: 8G

core dump analyse file will be attached.
Comment 4 Miya Chen 2010-01-19 06:20:50 EST
Created attachment 385388 [details]
core dump analyse file
Comment 5 Yaniv Kaul 2010-01-19 06:35:08 EST
(In reply to comment #4)
> Created an attachment (id=385388) [details]
> core dump analyse file    

As the dump analysis says: WRONG_SYMBOLS

Please go to File->Symbol File Path and enter SRV*http://msdl.microsoft.com/download/symbols, check reload (or use .reload command) and run another '!analyze -v'.
Comment 6 Miya Chen 2010-01-19 06:50:14 EST
(In reply to comment #5)
> (In reply to comment #4)
> > Created an attachment (id=385388) [details] [details]
> > core dump analyse file    
> 
> As the dump analysis says: WRONG_SYMBOLS
> 
> Please go to File->Symbol File Path and enter
> SRV*http://msdl.microsoft.com/download/symbols, check reload (or use .reload
> command) and run another '!analyze -v'.    

sorry, upload it again.
Comment 7 Miya Chen 2010-01-19 06:51:11 EST
Created attachment 385391 [details]
core dump analyse file
Comment 8 Yaniv Kaul 2010-01-19 06:52:22 EST
Unrelated, please note you are using Vista SP1 / 2008 - which is the release versions. I think it's worth updating to SP2 as well (not that I think the bug is in the OS, but who knows).
Comment 9 Dor Laor 2010-01-20 04:40:07 EST
Please repeat with Yaniv's request
Comment 10 Miya Chen 2010-01-21 00:51:42 EST
(In reply to comment #9)
> Please repeat with Yaniv's request    

Install 64bit win2008 sp2 and install all updates, still got the same bsod during resuming, and dump analyse file is same with the last.
Comment 15 Eduardo Habkost 2011-01-19 07:01:24 EST
Bugzilla changed the component of the bug. Moving back to 'kvm'.
Comment 19 Qunfang Zhang 2011-01-27 01:06:01 EST
Re-test with the same steps and host using the following packages:
kernel-2.6.18-237.el5
kvm-83-224.el5
virtio-win-1.0.0-13.45801.el5

This issue does not exist. Guest can hibernate and resume successfully.
So I will close this issue.
Please re-open if I am wrong.

Thanks
qzhang

Note You need to log in before you can comment on or make changes to this bug.